CHANGELOG

3.0.1 - 27 June 2018
Update font awesome 5.1

---------------------------------------------------------------------------------------------

3.0 - 12 June 2018
Final structural changes - editable files are in the root or the 'custom' directory
	Moved /css/theme-styles.css to /custom/css/theme-styles.css
	Moved the include_html shortcode directory to /custom/html
full css rebuild of all footer widget sizes
added three classes to the smooth scroll. Fixes the unresponsive WooCommerce tabs
added new colour classes for text and links in dynamic stylesheet
improved WooCommerce multi-column layouts + responsive versions
Full rebuild of the framework settings dashboard including larger icons and visually better form elements 
new option 'Text Colour' in framework settings
new option 'Link Colour' in framework settings
new option 'Hover Colour' in framework settings
	Moved the styles using these options to the dynamic styles.php file
    Moved h tag and title styles to dynamic styles file
    Corrected minor error with pagination style in dynamic styles file
Broke the dynamic styles file into two functions and are now called in wp_head() in two locations, by priority.
new 'scroll page' that creates a one-page-layout using the child pages below it (sort by sort-order)
new slideout shop sidebar (ideal for cart)
new 'site-offline' maintenance mode feature
new 'advertising' feature to insert content (such as adwords) into the content
corrected nesting error in title, on left/right sidebar pages
new 'no-image' svg
added default widgets to all content sidebars if none are set
Full rebuild of the seja template dashboard including larger icons and 
full cleanup of CSS, initial template is now production ready by removing only the background. Coding examples that are redundant are now coded out. Full explanations in the theme-styles.css to explain what is what for editing.

---------------------------------------------------------------------------------------------

2.15 - 28 March 2018
added error detection for missing header logo/parallax images in debug mode
added a walker example to functions.php and created an argument for 'walker' in the layout function
	<?php seja_layout( array('type' => 'walker') ); ?>
Some additional styles and some cleaning up of stylesheets
added .parallax to the parallax div to fix the .site-title call (site-title was a common call and the framework was breaking it on other non-parallax designs)
Fixed error in dynamic styles for footer site-info and copyright
Woocommerce - option to remove the additional information tab
Smooth Scroll - added class scrollto to prevent jQuery clashes on # elements.
Corrected missing home hyperlink in layouts -> logo
Font-Awesome V5.09

---------------------------------------------------------------------------------------------

2.14 - 2 January 2018
Full rebuild of all the structure files, and better naming of definitions
Clean up the General Options page, depreciating outdated options, and reducing to a single page.
Rebuild the setup page to update settings (for smooth upgrade), and delete depreciated options.
Added a 'version' code to facilitate the updated setup page
Cleaned up dynamic CSS (/includes/header/styles.php) and minimised.
Corrected missing home hyperlink in layouts -> logo
Upgraded Font-Awesome to V5.02

---------------------------------------------------------------------------------------------

2.13 - 1 November 2017
fourth footer widget if they're not being used (but set a recommendation that this be left available if you're planning on 'testing' options)
Added new MCE dropdown option 'alt-colour'
Added new MCE dropdown options for 66% and 75%
Rebuilt the CSS for the blockxx elements, including responsive points on full-width and column layouts
Further shuffling of php files (specifically framework files), to allow new features to be added in without having to edit multiple files, and to push core files outside the root so people don't mess them up.
Moved layout functions to separate function file
Added framework options to the admin toolbar
Added 'select' option to customfields
Added facebook Pixel support, including custom page elements
WooCommerce - Hide related products function


---------------------------------------------------------------------------------------------

2.12 10 January 2017
Major reshuffle of files to make file structure more logical
Reduced the list of header options to 4
	Default (formally 'Text content with a left logo)
	Banner (formally 'Default')
	Parallax (New, based on the 2017 default theme)
	Custom (unchanged)
	Removed options (can be rebuilt using custom)
		Text content with a right logo
		Text content with no logo
		Slidedeck on home only
		Slidedeck on all
Renamed theme-colours.css to theme-styles.css (file evolved into the main formatting stylesheet since it was originally added)
Rebuilt header.php file
Depreciated Custom HTML and SlideDeck ID from Dashboard > Seja Template > Header Layout
Created new header widget area (replaces the Custom HTML block)
add header logo ( header image to be used for the new parallax option
New formatting function to enable code blocks that can be shuffled (especially for custom theming)
New 'Current temperature' shortcode.
Mosaic styles have been split into the fixed points (compressed and moved into styles.css) and the adjustable points (in theme-style.css

New current temperature shortcode.
Corrected error in facebook feed shortcode

---------------------------------------------------------------------------------------------

2.11.1 4 November 2016

Corrected a formatting error in twocolummleft-page.php
Updated FontAwesome to 4.7

2.11 12 October 2016

Correct javascript call for responsive menu (to prevent being called anywhere <nav> is used
Updated theme creation script to dynamically create a home page.
Changed Theme Settings tab names - names more logical and ready for the blog layout options planned for 2.12
WooCommerce updates 	
	Correct missing content div in WooCommerce pages
	Moved WooCommerce call to the general options page.
	Added WooCommerce elements into the theme_colours stylesheet
	Separated WooCommerce from main functions file
	Cleaned up function file structure
	Dedicated javascript file
	Additional WooCommerce functionality
	Added custom WooCommerce tab in Seja Template > Theme Settings
		Moved sidebar option from Theme Content
		Added options for rows and columns
		Added option to disable price range (code existed in functions but was commented out)
	alphabetical sort
	built in grid / table display
Reversed order of changelog file to make it easier to read

---------------------------------------------------------------------------------------------

2.10 13 August 2016
Added in jQuery 'Mosaic' tiles based on the work here - http://buildinternet.com/project/mosaic/
	Cleaned up semantics, use the existing link-div jquery to deal with link blocks, rather than the incorrect div within a hyperlink
	Added a tinyMCE button, complete with form to take the base configurations
	Added additional styles to editor to display
Changed SEJA_HEADER_IMAGE_OPTION #6 to 'Custom' which now calls the /includes/custom/header.php file
Added a column layout for sidebar menu layouts
Added new functions to improve template formatting and keep code clean
	seja_header_div()
		which calls the start of the #header div is now in /includes/seja_header_image.php for all options except for custom, where it is called within the include file. 
		Moved #header div tag from header to seja_header_div()
		Moved #content wrapping div out of header
	seja_page_top() 
		formats the top of the page based on template options and column options (and sidebar type for new sidebar menu version).
	seja_page_base()
		formats the base of the page based on template options, column options and sidebar type
	seja_pre_footer()
		does the clearfloat and closes off the #content tag (separate from the seja_page_base() so it can be used independantly in lightbox and scroll pages.
		scroll option is in here now
home-page.php (scrolling content) is no longer wrapped by the #content div
lightbox-page.php get_footer() call has been replaced with wp_footer()
Added new shortcode [multiblock] to deal with scrolling page content (this is a temporary solution)
Removed #content from the dynamic header styles (width x, margin 0 auto), now linked to .inner-wrapper	
Minor adjustment to 25/33/50/66 blocks in style.css for better responsive output.
Duplicated smooth scroll in seja-framework.js so it works in the main navigation as well.
Renamed /images/headers/temp-image.png to logo.png - more logical naming
Changed initial setting of Mobile Menu to unchecked
Added a new Responsive Menu Point option (set to 800px) to allow more control over responsive layout


---------------------------------------------------------------------------------------------

2.9 : 3 June 2016 (Menu rebuild)
Changes to file structure
	Created a 'custom' directory for template customisations
	Created a 'template' directory for seja framework template files
	Created a 'pages' directory for framework template include files
	Created a 'functions' directory for seja framework functions
	Simplified include file names
Changed initial width setting to 1200 (previously 960)
Changed responsive point to 800, made consistent with menu and sidebars
Rebuilt menu structure for top (main navigation) menu (replacing the twentyten menu that's been in use for the last six years)
Improved visual look of form select
Improved seja_the_title 
	&nbsp; will now remove the title from the html output
	single call in the loop
	added a variable call to other h-sizes, defaults to h1
Fixed
	error calling header images after adjustment in 2.8
	error displaying header image in theme settings (changed get_bloginfo to bloginfo)
Code cleanup
	cleaned up the coding in the custom seja tinymce file
Marked 'clearfloat' button as depreciated, still exists in the editor (shortcode to remain as legacy code).
Added an inline clear option to styles dropdown 
Added 'Custom Pages' option in Theme Settings for future 'Authors' page and potential custom blog layout variations.
SEO
	added ability to generate robots.txt file
Template now sets permalink and timezone on initialisation.	

---------------------------------------------------------------------------------------------

2.8 13 April 2016
Added Google + to Social Media tab, linked to SEO meta
Added the ability to turn off in-built SEO if a plugin is going to be used
Added shop sidebar for Woocommerce sites
	Sidebar dynamically added to widgets page if WooCommerce option is selected in Seja Settings
Added Widget in Page shortcode
Added colour picker to theme admin
Added text-only option to header
changed footer logos to SVG images (and link to colour picker)
changed bulletpoints to font-awesome (link to colour picker)
further cleaning of site structure
corrected autop issue in shortcode
corrected woocommerce column error in theme content page
removed colours folders /images/colours/xxx (depreciated with new colour picker)
updated font-awesome to 4.6.0

---------------------------------------------------------------------------------------------

2.7 : 28 November 2015 (Major Change - file structure)
Clean up site structure 
	minor renaming of some files for clarity
	move header image to its own include file
	minor changes to footer
	separate functions file into specific areas
		shortcodes
		tinyMCE
		custom fields
Removed expandable menu (mega menu) previously marked depreciated
Added an option to include a second custom menu targetting mobile devices
Added Font Awesome 4.4.0
Updated to Font Awesome 4.5.0 (updated during production)
	Linked to theme 
	Help Page in Seja Template > Tips and Help
	Added to admin section
Created a custom admin stylesheet
Depreciated admin styles in admin header 
Updated editor-style.css
Updated sidebar text widget
Minor updates to reset css
corrected broken accordion jQuery linking
corrected broken css call to footer WordPress logo
corrected missing call to Google Analytics
fixed broken meta keywords tag

---------------------------------------------------------------------------------------------

2.6 16 September 2015
New 'Tips and Help' page in dashboard to cover most general features of the framework 
New custom functions page (for update protection)
Changes of purpose for the theme colours stylesheet
	Moved existing styles to header.php styles, rendered using php variables
	Moved colouring styles from styles.css to theme-colours.css
corrected error in getimagesize() in definitions file when image was not present

---------------------------------------------------------------------------------------------

2.6.1 8 October 2015
Further separation of framework and custom styles
Inclusion of a basic scroll down site (future aim is to apply greater separation for user ease of use).
Floating #top anchor link, activated through the Seja Template settings page.

---------------------------------------------------------------------------------------------

2.5.1 - 5 June 2015
Minor changes to site structure (#ID's)
improved header image layout options
Added workaround for zero column galleries to suit responsive layouts.
Template Settings
	General Options	
	*Corrected styles for Template Width
	Theme Footer
	*created new styles for multi-footer template
Added a 'no image' option to header image settings

2.5.2 - 17 June 2015
Added additional custom option to override title if client wants a custom formatted option
added function seja_the_title to call above option
Wrapped theme-colours.css call in a enqueue_script function to force it to load later than plugin CSS calls (fixes the difficulties in theming WooCommerce themes)
Cleanup of (confusing) header.php styles
Changes to editor-styles.css - div display
New 'html' include shortcode to deal with difficult formatting or custom PHP scripts that are not well handled by editor

---------------------------------------------------------------------------------------------

2.5 - 23 May 2015 (Major Change - Rebuilt Seja Theme Settings section)
Minor CSS changes
Added definitions to use across the template
pre-load most options so the same things don't need manually setting 
fixed the jquery anchor link smooth scroll
moved images into sub-folders for better management
Created bulletpoint and footer logos in many different colours 
Rebuild Template Settings - now located in its own section with multiple setting pages
	General Options
	* Template wrapper allows for a full-width or constrained layout
	* Template width - PENDING - styles need to be edited
	* Automatic Updates - Allows core, plugin and themes to be automatically completed
	Theme Header
	* Improved SlideDeck integration for header slideshows
	Theme Content
	* Allow left or right positioning of various columns in the main template
	* Basic integration for WooCommerce
	* custom image based bulletpoints with multiple colour options
	Theme Footer
	* Multiple footer layouts PENDING - styles need to be edited
	* easy adjustment sd and WordPress logo colours
	SEO Settings
	* link to sitemap
removed depreciated 'embed' from YouTube shortcode
removed depreciated twitter embed method
removed depreciated left and right floats

---------------------------------------------------------------------------------------------

2.1.8 
Changed the Mobile_Detect script class to avoid clashing with plugin using the same script.
Moved the seja_mobile_detect output into the body tag, rather than the content tag.
Minor CSS changes - pre version 2.2
Depreciate 'Mega Menu' - not compatable with the increasingly important responsive design
Remove the 'skip to content' in the main menu.

---------------------------------------------------------------------------------------------

2.1.7
Minor code adjustments to correct errors in php 5.4
Changes to the editor-styles.css to improve visual look of the back-end editor
Adjustments to the floating block dimensions (block 25/33/50/66)

---------------------------------------------------------------------------------------------

2.1.6
reformatted nav css for responsive design
reformat columns in responsive design
// responsive header and header size options to theme options (functions line 162)

---------------------------------------------------------------------------------------------

2.1.5
changed default column setup to remove padding. Padding should be added into widgets and hentry blocks
Minor adjustment to padding in block50 element
Reformatted post excerpt view
Added excerpt thumbnail 
	First preference - Feature Image
	Second preference - First example of image in the post
	Fallback - no-image.jpg (in theme's /images folder)
Added in Post Excerpts shortcode to display excerpts in a page

---------------------------------------------------------------------------------------------

2.1.4.1
Adjustments to login logo - compatible with WordPress 3.8
changed dashboard icons in line with WordPress 3.8 redesign

---------------------------------------------------------------------------------------------

2.1.4
Minor changes to Theme Options tabs

---------------------------------------------------------------------------------------------

2.1.3.1
Corrected nesting issue with simple meta widget

---------------------------------------------------------------------------------------------

2.1.3
Expandable sidebar menu to deal with large list menus
Removed the depreciated Twitter embed method and changed it to the single input (copy and paste) method
Added automatic sitemap.xml file for SEO
Corrected an error in the custom (SEO) Title tag
Removed additional menus - We can create and call custom menus anyway

---------------------------------------------------------------------------------------------

2.1.2
Added in responsive 'select' menu

---------------------------------------------------------------------------------------------

2.1.1
Added title and div blocks to YouTube videos
Changed the default call from embed to video in YouTube shortcode (see 2.0.4) embed is now marked as depreciated

---------------------------------------------------------------------------------------------

2.1.0.1
Minor change to CSS structure

---------------------------------------------------------------------------------------------

2.1.0
Rebuilt CSS
 - Most structural blocks are unchanged
 - All formatting blocks have been rebuilt
CSS font colours are all located in the same area for quicker editing
Added in Theme Settings page within wp-admin to control various settings including 
 - Google Meta Tags
 - Google Analytics
 - Slidedeck header image
 - Ability to disable jquery code for the accordion shortcode
THEME SETTINGS
 - Two column left/right now in 25% and 33% column widths
 - Facebook feed settings
 - Twitter feed settings can be set directly so they don't have to be written in a long piece of shortcode
 - YouTube default width and height are no longer hard coded (but still can be overwritten in the shortcode)
Included detection support for mobile browsing
Re-written custom menu shortcode (STARTED)
Cleaned up ordering of functions.php file to make it easier for developer to edit (IN PROGRESS)
Header
 - Added Google meta call
 - Added favicon call into header (PHP5.3 and above)
 - anchor jquery now enqueued correctly. 
 - anchor jquery, added additional call to jquery library prior to wp_head(). The built in library should work but doesn't. Having it called first prevents errors in other scripts (such as SlideDeck)
General Pages
 - Restructured comments

---------------------------------------------------------------------------------------------

2.0.10
This is now a legacy version
Reformatted default CSS for web forms

2.0.9
removed jquery call in anchor script - conflicts with some plugins and was superflous as WordPress calls a newer version anyway
added blockquote into the editor 'styles' dropdown
removed the three column layout - 3 columns are easier to achieve now using a 50 div in the main content (both for styling and for the end user)
updated editor styles inline with the latest (twenty-twelve) WordPress default theme
corrected a div nesting error in the two column sidebar pages
added in accordion shortcodes

2.0.8
added in spacer shortcode
added additional class 'lbpModal' for in object lightbox calls

2.0.7
added span in menu for expandable background images
added red border around divs in the editor
added three sizes of content divs that (only for direct editing with html, not wysiwyg)
minor changes to CSS structure
new content block to add (optional) content between the menu and the main content
new accordion shortcode for content divs

2.0.6
Added in javascript anchor for graceful navigation
Included a blank page - no header, footer or sidebar that is designed to be called from the secondary lightbox.
Changed the 'anchor' call to a div in the kitchen sink
renamed the sidetext widgets to better reflect what they do
positioned 1st sidebar text widget in the post as 'top-block-content', allowing content to be added before the title if required
corrected a code nesting error in functions that caused the comment text to appear in /admin/header

2.0.5
Added a Popup page with no header or footer for secondary lightbox
Included a clearfloat button in TinyMCE
Custom Styles for drop down

2.0.4
Added 'video' to the youtube shortcode (to use instead of embed (will still work))
Added youtube and facebook buttons in TinyMCE
Extended the TinyMCE default buttons 
Forced the kitchen sink to display ALL buttons 

2.0.3
Fixed error in title tag that was preventing information from being added.

2.0.2
Added Twitter feed

2.0.1
Corrected W3 nesting issue in custom sidebar text and simple meta

2.0
This is a complete rebuild of the structure. Have retained a lot of the fotmatting styles from the original twentyten derivative but the physical framework is now easier to modify. This corrects the "STILL NEEDS WORK" clause in version 1.1.7

---------------------------------------------------------------------------------------------

1.3.0
updated template source files (twentyten v1.3.0)

1.1.7.1
Made the 'Single column' page the default
added floatleft and floatright shortcode

1.1.7
added 3 column template
custom pagenation to improve the WordPress default 'previous/next'
changed side text to WYSIWYG
updated sidebar widget registation to replace the depreciated version
edited default template and CSS to include three wrappers for the head, content and foot to allow easier theming. (THIS STILL NEEDS WORK---- corrected version 2.0)
Added search.php to better theme the searchbar

1.1.6
Added in the Nextgen slideshow option to the header

---------------------------------------------------------------------------------------------

Earlier changes were not documented